Retrieve the verification URL to share with your customer — in the gu1 KYC API for identity verification flows, with examples for get kyc url use cases.
After creating a KYC validation, you can retrieve the verification URL at any time. This URL is what you’ll share with your customer so they can complete the identity verification process.
const validationId = '550e8400-e29b-41d4-a716-446655440000';const response = await fetch( `https://api.gu1.ai/api/kyc/validations/${validationId}`, { headers: { 'Authorization': 'Bearer YOUR_API_KEY' } });const validation = await response.json();// Extract the URL to share with customerconst verificationUrl = validation.providerSessionUrl;console.log('Share this URL with your customer:', verificationUrl);// Check current statusconsole.log('Current status:', validation.status);
import requestsvalidation_id = '550e8400-e29b-41d4-a716-446655440000'response = requests.get( f'https://api.gu1.ai/api/kyc/validations/{validation_id}', headers={ 'Authorization': 'Bearer YOUR_API_KEY' })validation = response.json()# Extract the URL to share with customerverification_url = validation['providerSessionUrl']print('Share this URL with your customer:', verification_url)# Check current statusprint('Current status:', validation['status'])
curl -X GET https://api.gu1.ai/api/kyc/validations/550e8400-e29b-41d4-a716-446655440000 \ -H "Authorization: Bearer YOUR_API_KEY"
<p>Hi {{customerName}},</p><p>Please complete your identity verification to continue:</p><p><a href="{{providerSessionUrl}}">Verify Your Identity</a></p><p>This link will expire in 7 days.</p>
// Redirect user to verificationwindow.location.href = providerSessionUrl;// Or open in new windowwindow.open(providerSessionUrl, '_blank');// Or embed in iframe<iframe src={providerSessionUrl} width="100%" height="600px" />
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"gu1","colors":{"primary":"#6366f1","light":"#818cf8","dark":"#4f46e5"},"logo":{"light":"https://mintcdn.com/geno-f35946c5/u95feZdjOS0TUwM0/logo/light.svg?fit=max\u0026auto=format\u0026n=u95feZdjOS0TUwM0\u0026q=85\u0026s=2538da257ffd4de46bd5e7c5a7a70349","dark":"https://mintcdn.com/geno-f35946c5/u95feZdjOS0TUwM0/logo/dark.svg?fit=max\u0026auto=format\u0026n=u95feZdjOS0TUwM0\u0026q=85\u0026s=c47938269a3a978691d27b98a3ef7631","href":"https://gu1.ai"},"favicon":"https://mintcdn.com/geno-f35946c5/1v-_8K99Mep7uuN6/logo/favicon.png?fit=max\u0026auto=format\u0026n=1v-_8K99Mep7uuN6\u0026q=85\u0026s=af8122bd505fa307f92768669dd1b0f6","api":{"mdx":{"auth":{"method":"bearer"},"server":"http://api.gu1.ai"}},"navbar":{"links":[{"href":"https://app.gu1.ai","label":"Dashboard"},{"href":"/en/changelog","label":"Changelog"}],"primary":{"type":"button","label":"Get Started","href":"https://app.gu1.ai/signup"}},"footer":{"socials":{"twitter":"https://twitter.com/gueno","linkedin":"https://linkedin.com/company/gueno","github":"https://github.com/tkgueno"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"geno-f35946c5","hasAudioNarration":false,"actualSubdomain":"geno-f35946c5","customDomains":["docs.gu1.ai"],"gitSource":{"type":"github","owner":"gueno-repositories","repo":"gueno-v3-ai","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae24c55d8d824087a00d8f6","collectionId":"22970b3f-c4ec-4a1a-939b-793b70d84fc8","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae24c55d8d824087a00d8f6"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae24c55d8d824087a00d8f6","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API Reference","count":205},{"language":"default","tag":"Referencia API","count":160},{"language":"default","tag":"Referência API","count":159},{"language":"default","tag":"Workflows","count":66},{"language":"default","tag":"Empresa","count":44},{"language":"default","tag":"Casos de Uso","count":34},{"language":"default","tag":"Webhooks","count":30},{"language":"default","tag":"Know Your Customer (KYC)","count":29},{"language":"default","tag":"AML Crypto","count":27},{"language":"default","tag":"Conozca Su Cliente (KYC)","count":27}]},"assistantConfig":{"enableStarterQuestions":false,"deflection":{"enabled":true,"email":"support@gu1.ai"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"design-system/overview-v2-shell/overview.css","content":".app{display:grid;grid-template-columns:232px 1fr;grid-template-rows:48px 1fr;grid-template-areas:\"top top\" \"side main\";min-height:100vh}.topbar{grid-area:top;gap:12px;padding:0 16px;background:var(--bg-panel);border-bottom:1px solid var(--br-subtle);position:sticky;top:0;z-index:50}.brand,.topbar,.topbar-left{display:flex;align-items:center}.topbar-left{gap:12px;min-width:232px}.brand{gap:8px;padding-right:10px;margin-right:4px;border-right:1px solid var(--br-subtle);height:28px}.brand-mark{font-weight:700;font-size:14px;letter-spacing:-.01em}.ws-switch{display:flex;align-items:center;gap:6px;font-size:var(--t-meta);padding:4px 8px;border-radius:var(--r-2);cursor:pointer}.env-pill:hover,.ws-switch:hover{background:var(--bg-hover)}.ws-label{color:var(--fg-secondary)}.ws-sep{color:var(--fg-quaternary)}.ws-name{color:var(--fg-primary);font-weight:500}.env-pill{display:inline-flex;align-items:center;gap:6px;font-size:var(--t-micro);padding:3px 8px;border:1px solid var(--br-default);border-radius:var(--r-full);color:var(--fg-secondary)}.env-dot{width:6px;height:6px;border-radius:50%;background:var(--success);box-shadow:0 0 0 3px var(--success-soft)}.env-dot.warn{background:var(--high);box-shadow:0 0 0 3px var(--high-soft)}.cmdk,.topbar-right{display:flex;align-items:center}.cmdk,.cmdk kbd,kbd{border:1px solid var(--br-default)}.cmdk{flex:1;max-width:480px;gap:8px;height:30px;padding:0 10px;margin:0 auto;background:var(--bg-canvas);border-radius:var(--r-3);font-size:var(--t-meta);color:var(--fg-tertiary);transition:border-color .15s}.cmdk:hover{border-color:var(--br-strong)}.cmdk span{flex:1;text-align:left}.cmdk kbd,kbd{font-family:var(--font-mono);font-size:10px;padding:2px 6px;border-radius:4px;background:var(--bg-elevated);color:var(--fg-secondary)}.topbar-right{gap:4px;margin-left:auto}.icon-btn,.quota{display:inline-flex;align-items:center;gap:6px}.quota{font-size:var(--t-micro);padding:4px 10px;border:1px solid var(--br-default);border-radius:var(--r-full)}.quota .ai-fg{color:var(--ai-fg)}.icon-btn{width:30px;height:30px;justify-content:center;border-radius:var(--r-2);color:var(--fg-secondary);position:relative}.icon-btn:hover{background:var(--bg-hover);color:var(--fg-primary)}.icon-btn.lang{width:auto;padding:0 8px}.icon-btn .agent-label,.icon-btn.lang{font-size:var(--t-micro)}.icon-btn:has(.agent-label){width:auto;padding:0 10px}.badge-dot{position:absolute;top:6px;right:6px;width:6px;height:6px;border-radius:50%;background:var(--critical)}.avatar{width:28px;height:28px;border-radius:50%;background:linear-gradient(135deg,oklch(.6 .1 250),oklch(.55 .12 290));color:#fff;font-size:10.5px;font-weight:600;display:inline-flex;align-items:center;justify-content:center;letter-spacing:.02em;margin-left:4px}.sidebar{grid-area:side;background:var(--bg-panel);border-right:1px solid var(--br-subtle);padding:12px 8px 8px;position:sticky;top:48px;height:calc(100vh - 48px);overflow-y:auto}.nav,.nav-group,.sidebar{display:flex;flex-direction:column}.nav{flex:1;gap:14px}.nav-group{gap:1px}.nav-label{font-size:10px;font-weight:600;letter-spacing:.06em;text-transform:uppercase;color:var(--fg-quaternary);padding:6px 10px 4px}.nav-item{display:flex;align-items:center;gap:9px;height:28px;padding:0 10px;border-radius:var(--r-2);font-size:var(--t-body);color:var(--fg-secondary);cursor:pointer;transition:background .12s,color .12s}.nav-item:hover{background:var(--bg-hover);color:var(--fg-primary)}.nav-item.active{background:var(--bg-active);color:var(--fg-primary)}.nav-item.active .nav-icon{color:var(--accent-fg)}.nav-icon{color:var(--fg-tertiary)}.nav-item:hover .nav-icon{color:var(--fg-secondary)}.nav-text{flex:1}.nav-badge{font-size:10px;padding:1px 6px;border-radius:var(--r-full);background:var(--bg-elevated);color:var(--fg-tertiary);font-variant-numeric:tabular-nums}.nav-badge.danger{background:var(--critical-soft);color:var(--critical-fg)}.nav-tag{font-size:9px;padding:1px 5px;border-radius:3px;background:var(--ai-soft);color:var(--ai-fg);letter-spacing:.04em;text-transform:uppercase;font-weight:600}.sidebar-foot{display:flex;align-items:center;gap:6px;padding:8px 4px 4px;border-top:1px solid var(--br-subtle);margin-top:8px}.ws-card{flex:1;padding:6px 8px;border-radius:var(--r-2)}.ws-card:hover{background:var(--bg-hover);cursor:pointer}.ws-card-row{display:flex;align-items:center;gap:6px;font-size:var(--t-meta)}.ws-card-row.sub{font-size:var(--t-micro);margin-top:2px}.ws-card-name{font-weight:600}.role-tag{font-size:9.5px;padding:1px 5px;border:1px solid var(--br-default);border-radius:3px;color:var(--fg-tertiary);letter-spacing:.04em}.settings-btn{width:28px;height:28px;display:inline-flex;align-items:center;justify-content:center;color:var(--fg-tertiary);border-radius:var(--r-2)}.settings-btn:hover{background:var(--bg-hover);color:var(--fg-primary)}.main{grid-area:main;background:var(--bg-canvas);min-width:0}.overview{display:grid;grid-template-columns:minmax(0,1fr) 332px;gap:28px;max-width:1400px;padding:24px 32px 80px;margin:0 auto}.overview.no-side{grid-template-columns:1fr}.overview.no-side .overview-side{display:none}.overview-main{display:flex;flex-direction:column;gap:24px;min-width:0}.overview-side{min-width:0}.block{display:flex;flex-direction:column}.block-head{display:flex;align-items:center;justify-content:space-between;padding:0 2px 10px;border-bottom:1px solid var(--br-subtle);margin-bottom:14px;gap:12px}.block-head.collapsable{width:100%;text-align:left}.block-head.collapsable:hover .block-title,.ghost-btn:hover{color:var(--fg-primary)}.block-title-wrap{display:flex;flex-direction:column;gap:2px;min-width:0}.block-title{margin:0;font-size:var(--t-h2);font-weight:600;letter-spacing:-.005em;display:inline-flex;align-items:center;gap:8px}.block-meta{font-size:var(--t-micro)}.block-actions{display:flex;gap:4px;align-items:center}.inline-ico{color:currentColor}.beta-pill{font-size:9px;padding:1px 5px;border-radius:3px;background:var(--ai-soft);color:var(--ai-fg);text-transform:uppercase;letter-spacing:.06em;font-weight:700}.btn-ghost,.btn-primary,.ghost-btn{font-size:var(--t-meta);border-radius:var(--r-2);display:inline-flex;align-items:center;gap:6px}.ghost-btn{color:var(--fg-secondary);height:26px;padding:0 8px}.ghost-btn:hover{background:var(--bg-hover)}.ghost-btn.align-right{margin-left:auto}.btn-ghost,.btn-primary{height:28px;padding:0 10px}.btn-primary{background:var(--accent-soft);color:var(--accent-fg);font-weight:500;border:1px solid transparent}.btn-primary:hover{background:var(--accent);color:#fff}.btn-ghost{color:var(--fg-secondary)}.btn-ghost:hover{background:var(--bg-hover);color:var(--fg-primary)}.sev-dot{width:6px;height:6px;border-radius:50%;display:inline-block;flex:0 0 6px}.sev-pill{display:inline-flex;align-items:center;gap:0;font-size:var(--t-micro);padding:1px 6px;border-radius:3px;font-weight:500;letter-spacing:.01em}.sev-crit{background:var(--critical)}.sev-pill.sev-crit{background:var(--critical-soft);color:var(--critical-fg)}.sev-high{background:var(--high)}.sev-pill.sev-high{background:var(--high-soft);color:var(--high-fg)}.sev-med{background:var(--medium)}.sev-pill.sev-med{background:var(--medium-soft);color:var(--medium-fg)}.sev-low{background:var(--low)}.sev-pill.sev-low{background:var(--low-soft);color:var(--low-fg)}.brk.crit b,.crit-text{color:var(--critical-fg)}.brk.warn b,.warn-text{color:var(--high-fg)}.success-text{color:var(--success)}.ai-fg{color:var(--ai-fg)}.kv dt,.muted{color:var(--fg-tertiary)}.meta-sep{color:var(--fg-quaternary);margin:0 6px}.briefing{display:grid;grid-template-columns:minmax(0,1fr) 280px;gap:28px;padding-bottom:4px}.briefing-text{min-width:0}.briefing-meta{font-size:var(--t-micro);color:var(--fg-tertiary);display:flex;align-items:center;flex-wrap:wrap;margin-bottom:8px}.briefing-meta .env-inline{display:inline-flex;align-items:center;gap:5px}.briefing-meta .env-dot{width:5px;height:5px;box-shadow:none}.briefing-title{font-size:var(--t-display);font-weight:600;letter-spacing:-.022em;margin:0 0 8px;line-height:1.1}.briefing-lede{font-size:15px;line-height:1.55;max-width:64ch;color:var(--fg-secondary);margin:0 0 18px}.activity-line strong,.briefing-lede strong{color:var(--fg-primary);font-weight:600}.next-up{display:flex;flex-direction:column;gap:8px}.next-up-label{font-size:10.5px;text-transform:uppercase;letter-spacing:.08em;color:var(--fg-tertiary);display:inline-flex;align-items:center;gap:6px;font-weight:600}.next-up-card{width:100%;display:flex;align-items:stretch;justify-content:space-between;padding:14px 16px;border:1px solid var(--br-default);border-left:3px solid var(--critical);border-radius:var(--r-3);background:var(--bg-panel);text-align:left;transition:border-color .15s,background .15s}.next-up-card:hover{background:var(--bg-elevated);border-color:var(--br-strong);border-left-color:var(--critical)}.next-up-main{display:flex;flex-direction:column;gap:6px;flex:1;min-width:0}.next-up-headline{display:flex;align-items:center;gap:10px;flex-wrap:wrap}.case-id{font-size:var(--t-meta);color:var(--fg-tertiary);letter-spacing:.02em}.case-title{font-size:15px;font-weight:600;color:var(--fg-primary)}.next-up-sub{font-size:var(--t-meta);color:var(--fg-secondary);display:flex;align-items:center;flex-wrap:wrap}.due-now,.next-up-action{display:inline-flex;align-items:center;font-weight:500}.due-now{gap:5px;color:var(--critical-fg)}.next-up-action{gap:8px;align-self:center;padding:8px 14px;border-radius:var(--r-3);font-size:var(--t-body);flex-shrink:0}.next-up-action,[data-theme=light] .next-up-action{background:var(--accent);color:#fff}.next-up-card:hover .next-up-action{background:oklch(from var(--accent) calc(l + .05) c h)}.next-up-strip{display:flex;align-items:center;gap:10px;font-size:var(--t-meta);padding:0 2px;flex-wrap:wrap}.next-chip{display:inline-flex;align-items:center;gap:6px;color:var(--fg-secondary)}.next-link{color:var(--accent-fg);font-size:var(--t-meta);margin-left:auto}.next-link:hover{text-decoration:underline}.my-stats{display:flex;flex-direction:column;gap:0;background:var(--bg-panel);border:1px solid var(--br-subtle);border-radius:var(--r-3);overflow:hidden}.my-stat-row{padding:14px 16px;display:grid;grid-template-columns:1fr auto;grid-template-rows:auto auto;column-gap:12px;row-gap:4px;align-items:baseline}.my-stat-row+.my-stat-row{border-top:1px solid var(--br-subtle)}.my-stat-lab{font-size:var(--t-micro);color:var(--fg-tertiary);text-transform:uppercase;letter-spacing:.06em;font-weight:600}.my-stat-num{font-size:28px;font-weight:600;letter-spacing:-.02em;line-height:1;text-align:right;grid-row:1/3;align-self:center}.my-stat-break{font-size:var(--t-micro);color:var(--fg-tertiary);display:flex;gap:10px}.brk b{font-weight:600}.brk b,.brk.low b{color:var(--fg-secondary)}.venc-list{gap:6px}.venc-group,.venc-list{display:flex;flex-direction:column}.venc-group-head{display:flex;align-items:baseline;gap:8px;padding:8px 4px 4px;font-size:var(--t-micro);text-transform:uppercase;letter-spacing:.08em;font-weight:600;color:var(--fg-tertiary);border-bottom:1px dashed var(--br-subtle);margin-bottom:2px}.venc-group-name,.venc-row{color:var(--fg-secondary)}.venc-row{display:grid;grid-template-columns:8px 64px minmax(180px,1fr) auto auto auto auto 16px;align-items:center;gap:14px;width:100%;height:36px;padding:0 8px 0 6px;border-radius:var(--r-2);text-align:left;font-size:var(--t-body);transition:background .12s}.venc-row:hover{background:var(--bg-hover)}.venc-row:hover .venc-title{color:var(--fg-primary)}.venc-id{color:var(--fg-tertiary);font-size:var(--t-meta)}.venc-title{color:var(--fg-primary);font-weight:500;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.venc-tags{display:inline-flex;gap:5px;flex-shrink:0}.tag{font-size:10.5px;padding:1px 7px;border-radius:3px;background:var(--bg-elevated);color:var(--fg-tertiary);border:1px solid var(--br-subtle)}.venc-score{display:inline-flex;gap:5px;align-items:baseline;font-size:var(--t-meta)}.venc-assignee,.venc-due{font-size:var(--t-meta);white-space:nowrap}.venc-due{display:inline-flex;align-items:center;gap:4px;min-width:84px;justify-content:flex-end;color:var(--fg-secondary)}.venc-due.crit-text{color:var(--critical-fg);font-weight:500}.venc-go{color:var(--fg-quaternary)}.venc-row:hover .venc-go{color:var(--fg-secondary)}.insight,.insights-list{display:flex;flex-direction:column;gap:0}.insight{position:relative;padding:16px 16px 14px 22px;border-bottom:1px solid var(--br-subtle);gap:8px}.fraud-top li:last-child,.insight:last-child{border-bottom:none}.insight-rail{position:absolute;left:0;top:18px;bottom:18px;width:2px;border-radius:2px;background:var(--ai);opacity:.5}.insight:hover .insight-rail{opacity:1}.insight-head{display:flex;align-items:center;justify-content:space-between;gap:12px;flex-wrap:wrap}.insight-lead{display:inline-flex;align-items:center;gap:10px;font-size:var(--t-micro);color:var(--fg-tertiary)}.insight-agent,.insight-conf{display:inline-flex;align-items:center;gap:5px}.insight-agent .mono{font-size:var(--t-micro);color:var(--ai-fg);font-weight:500}.insight-conf{gap:8px;font-size:var(--t-micro);color:var(--fg-tertiary)}.insight-conf .num{color:var(--fg-secondary);font-weight:600}.conf-bar{width:56px;height:3px;background:var(--bg-elevated);border-radius:2px;overflow:hidden}.conf-fill{height:100%;background:var(--ai);border-radius:2px}.insight-title{margin:2px 0 0;font-size:15.5px;font-weight:600;letter-spacing:-.005em;line-height:1.3}.insight-body{margin:0;font-size:var(--t-body);color:var(--fg-secondary);line-height:1.55;max-width:80ch}.insight-foot{display:flex;align-items:center;justify-content:space-between;gap:12px;margin-top:4px;flex-wrap:wrap}.insight-related{display:inline-flex;align-items:center;gap:6px;font-size:var(--t-micro)}.insight-actions{display:inline-flex;gap:4px}.fraud-block .block-head{cursor:pointer}.fraud-grid{display:grid;grid-template-columns:1.4fr 1fr 1fr 1.2fr;gap:1px;background:var(--br-subtle);border:1px solid var(--br-subtle);border-radius:var(--r-3);overflow:hidden}.fraud-cell{background:var(--bg-panel);padding:14px 16px;min-height:92px;display:flex;flex-direction:column;gap:4px}.fraud-cell.big{grid-row:span 1}.fraud-cell.wide{grid-column:1/-1}.fraud-lab{font-size:var(--t-micro);color:var(--fg-tertiary);text-transform:uppercase;letter-spacing:.06em;font-weight:600}.fraud-num,.fraud-num-s{font-size:28px;font-weight:600;letter-spacing:-.02em;line-height:1.1;margin-top:2px}.fraud-num-s{font-size:22px;letter-spacing:-.01em;line-height:1.2}.fraud-cur{font-size:13px;color:var(--fg-tertiary);font-weight:500;margin-left:2px}.fraud-delta{font-size:var(--t-micro);display:inline-flex;align-items:center;gap:5px;margin-top:auto}.fraud-rule{font-size:15px;font-weight:500;margin-top:4px}.fraud-top{list-style:none;padding:0;margin:8px 0 0;display:flex;flex-direction:column;gap:0}.fraud-top li{display:grid;grid-template-columns:8px 64px minmax(180px,1fr) auto 60px;gap:14px;align-items:center;font-size:var(--t-meta);height:30px;border-bottom:1px dashed var(--br-subtle)}.fraud-top .num{font-weight:600;color:var(--fg-primary)}.fraud-top .muted{text-align:right}.shortcuts-grid{display:grid;grid-template-columns:repeat(3,1fr);gap:8px}.shortcut,.shortcut-ico{align-items:center;color:var(--fg-secondary)}.shortcut{display:flex;gap:10px;padding:10px 12px;border:1px solid var(--br-default);border-radius:var(--r-3);background:var(--bg-panel);font-size:var(--t-body);transition:background .12s,border-color .12s,color .12s}.shortcut:hover{background:var(--bg-elevated);border-color:var(--br-strong);color:var(--fg-primary)}.shortcut.primary{border-color:var(--accent-soft);color:var(--fg-primary)}.doc-top .crumbs a,.shortcut.primary .shortcut-ico{color:var(--accent-fg)}.shortcut-ico{width:28px;height:28px;border-radius:var(--r-2);background:var(--bg-elevated);display:inline-flex;justify-content:center}.shortcut-label{flex:1;font-weight:500}.kbd-inline,.kbd-mini{font-family:var(--font-mono);font-size:10px;padding:1px 5px;border-radius:3px;border:1px solid var(--br-default)}.kbd-mini{background:var(--bg-canvas);color:var(--fg-tertiary)}.kbd-inline{background:var(--bg-elevated);color:var(--fg-secondary)}.activity-col{position:sticky;top:72px;display:flex;flex-direction:column;gap:12px;max-height:calc(100vh - 96px)}.activity-head{padding-bottom:6px;border-bottom:1px solid var(--br-subtle)}.activity-filters{display:flex;gap:2px;padding:0 2px}.activity-filter{font-size:var(--t-micro);padding:4px 8px;border-radius:var(--r-2);color:var(--fg-tertiary)}.activity-filter:hover{background:var(--bg-hover);color:var(--fg-primary)}.activity-filter.on{background:var(--bg-active);color:var(--fg-primary)}.activity-list{list-style:none;margin:0;display:flex;flex-direction:column;gap:0;overflow-y:auto;flex:1;padding:0 4px 0 0}.activity-item{display:grid;grid-template-columns:22px 1fr;gap:10px;padding:10px 0;border-bottom:1px dashed var(--br-subtle)}.activity-item:last-child{border-bottom:none}.activity-ico{width:22px;height:22px;border-radius:var(--r-2);display:inline-flex;align-items:center;justify-content:center}.activity-ico.c-ai{background:var(--ai-soft);color:var(--ai-fg)}.activity-ico.c-success{background:var(--success-soft);color:var(--success)}.activity-ico.c-high{background:var(--high-soft);color:var(--high-fg)}.activity-ico.c-crit{background:var(--critical-soft);color:var(--critical-fg)}.activity-ico.c-muted{background:var(--bg-elevated);color:var(--fg-secondary)}.activity-body{min-width:0}.activity-line{font-size:var(--t-meta);color:var(--fg-secondary);line-height:1.4}.activity-target{color:var(--fg-primary)}.activity-meta,.activity-more{display:inline-flex;align-items:center}.activity-meta{font-size:var(--t-micro);margin-top:2px;flex-wrap:wrap}.activity-more{margin-top:4px;font-size:var(--t-meta);color:var(--accent-fg);gap:6px;padding:8px 0;align-self:flex-start}.activity-more:hover,.doc-top .crumbs a:hover{text-decoration:underline}@media (max-width:1240px){.overview{grid-template-columns:1fr}.overview-side{display:none}.briefing{grid-template-columns:1fr}}@media (max-width:980px){.app{grid-template-columns:64px 1fr}.sidebar{padding:8px 4px}.nav-badge,.nav-label,.nav-tag,.nav-text,.sidebar-foot .ws-card,.topbar-left .env-pill,.topbar-left .ws-switch{display:none}}.doc{max-width:1100px;margin:0 auto;padding:32px 32px 80px;display:flex;flex-direction:column;gap:36px;color:var(--fg-secondary)}.doc h1,.doc h2,.doc h3{font-weight:600;color:var(--fg-primary);margin:0 0 4px}.doc h1{font-size:24px;letter-spacing:-.015em}.doc h2,.doc h3{font-size:17px}.doc h3{font-size:13px;margin:16px 0 6px;text-transform:uppercase;letter-spacing:.06em}.doc li,.doc p{font-size:13px;line-height:1.6}.doc-section{border-top:1px solid var(--br-subtle);padding-top:28px}.doc-section:first-child{border-top:none;padding-top:0}.doc-lede{font-size:14px;color:var(--fg-secondary);max-width:70ch}.doc-grid{display:grid;grid-template-columns:repeat(auto-fill,minmax(180px,1fr));gap:12px}.swatch{border:1px solid var(--br-subtle);border-radius:var(--r-3);overflow:hidden}.swatch-color{height:60px}.swatch-meta{padding:8px 10px;font-size:var(--t-micro);display:flex;flex-direction:column;gap:2px;background:var(--bg-panel)}.kv dd,.swatch-meta b{color:var(--fg-primary)}.swatch-meta b{font-size:var(--t-meta)}.swatch-meta code{font-family:var(--font-mono);color:var(--fg-tertiary);font-size:10px}.type-row{display:flex;align-items:baseline;gap:16px;padding:10px 0;border-bottom:1px dashed var(--br-subtle)}.type-row .label,.type-row .spec{font-size:var(--t-micro);color:var(--fg-tertiary)}.type-row .label{width:100px;text-transform:uppercase;letter-spacing:.06em}.type-row .spec{width:120px;font-family:var(--font-mono)}.type-row .sample{color:var(--fg-primary);flex:1}.kv{display:grid;grid-template-columns:200px 1fr;gap:6px 16px;font-size:var(--t-body)}.kv dd{margin:0}.doc-foot-link,.note{font-size:var(--t-meta)}.note{padding:12px 14px;border-left:2px solid var(--accent);background:var(--accent-soft);border-radius:0 var(--r-2) var(--r-2) 0;color:var(--fg-secondary)}.doc-foot-link{color:var(--accent-fg);display:inline-flex;align-items:center;gap:6px}.doc-top{position:sticky;top:0;z-index:10;display:flex;align-items:center;justify-content:space-between;padding:12px 32px;background:var(--bg-panel);border-bottom:1px solid var(--br-subtle)}.doc-top .brand{border-right:none;padding-right:0}.doc-top .crumbs{font-size:var(--t-meta);color:var(--fg-tertiary);display:inline-flex;align-items:center;gap:8px}.activity-list::-webkit-scrollbar,.sidebar::-webkit-scrollbar{width:8px}.activity-list::-webkit-scrollbar-thumb,.sidebar::-webkit-scrollbar-thumb{background:var(--bg-active);border-radius:4px}.activity-list::-webkit-scrollbar-track,.sidebar::-webkit-scrollbar-track{background:0 0}"},{"filePath":"design-system/overview-v2-shell/tokens.css","content":":root{--font-sans:\"Inter\", ui-sans-serif, system-ui, -apple-system, \"Segoe UI\", Roboto, sans-serif;--font-mono:\"JetBrains Mono\", ui-monospace, \"SF Mono\", Menlo, Consolas, monospace;--t-display:28px;--t-h1:22px;--t-h2:16px;--t-h3:14px;--t-body:13px;--t-meta:12px;--t-micro:11px;--t-num-xl:36px;--t-num-lg:26px;--lh-tight:1.15;--lh-snug:1.3;--lh-body:1.5;--s-1:4px;--s-2:8px;--s-3:12px;--s-4:16px;--s-5:20px;--s-6:24px;--s-7:32px;--s-8:40px;--s-9:56px;--r-1:4px;--r-2:6px;--r-3:8px;--r-4:10px;--r-full:999px;--h-blue:250;--h-violet:285;--h-red:18;--h-amber:55;--h-green:155;--h-teal:200}:root,[data-theme=dark]{--bg-canvas:#141518;--bg-panel:#1c1e22;--bg-elevated:#252830;--bg-hover:#2e3239;--bg-active:#383d45;--br-subtle:rgba(255,255,255,0.07);--br-default:rgba(255,255,255,0.11);--br-strong:rgba(255,255,255,0.16);--br-focus:oklch(0.72 0.12 var(--h-blue));--fg-primary:#ececed;--fg-secondary:#9ea1a6;--fg-tertiary:#6a6d72;--fg-quaternary:#4a4d52;--fg-disabled:#3a3d42;--accent:oklch(0.72 0.11 var(--h-blue));--accent-soft:oklch(0.72 0.11 var(--h-blue) / 0.14);--accent-fg:oklch(0.78 0.12 var(--h-blue));--critical:oklch(0.66 0.16 var(--h-red));--critical-soft:oklch(0.66 0.16 var(--h-red) / 0.14);--critical-fg:oklch(0.76 0.13 var(--h-red));--high:oklch(0.75 0.13 var(--h-amber));--high-soft:oklch(0.75 0.13 var(--h-amber) / 0.14);--high-fg:oklch(0.82 0.12 var(--h-amber));--medium:oklch(0.70 0.07 var(--h-teal));--medium-soft:oklch(0.70 0.07 var(--h-teal) / 0.14);--medium-fg:oklch(0.78 0.07 var(--h-teal));--low:oklch(0.62 0.02 250);--low-soft:oklch(0.62 0.02 250 / 0.14);--low-fg:oklch(0.72 0.02 250);--success:oklch(0.72 0.11 var(--h-green));--success-soft:oklch(0.72 0.11 var(--h-green) / 0.14);--ai:oklch(0.74 0.12 var(--h-violet));--ai-soft:oklch(0.74 0.12 var(--h-violet) / 0.14);--ai-fg:oklch(0.80 0.11 var(--h-violet));--shadow-1:0 0 0 1px var(--br-subtle);--shadow-2:0 1px 0 0 rgba(0,0,0,0.4), 0 0 0 1px var(--br-subtle);color-scheme:dark}[data-theme=light]{--bg-canvas:#fafaf8;--bg-panel:#ffffff;--bg-elevated:#ffffff;--bg-hover:#f3f3f1;--bg-active:#eaeae7;--br-subtle:rgba(15,15,17,0.07);--br-default:rgba(15,15,17,0.11);--br-strong:rgba(15,15,17,0.18);--br-focus:oklch(0.50 0.14 var(--h-blue));--fg-primary:#0a0a0b;--fg-secondary:#4d4f52;--fg-tertiary:#7c7e82;--fg-quaternary:#a8aaad;--fg-disabled:#c8cacc;--accent:oklch(0.50 0.14 var(--h-blue));--accent-soft:oklch(0.50 0.14 var(--h-blue) / 0.08);--accent-fg:oklch(0.43 0.16 var(--h-blue));--critical:oklch(0.55 0.13 var(--h-red));--critical-soft:oklch(0.55 0.13 var(--h-red) / 0.10);--critical-fg:oklch(0.46 0.14 var(--h-red));--high:oklch(0.66 0.10 var(--h-amber));--high-soft:oklch(0.66 0.10 var(--h-amber) / 0.14);--high-fg:oklch(0.46 0.10 var(--h-amber));--medium:oklch(0.60 0.05 var(--h-teal));--medium-soft:oklch(0.60 0.05 var(--h-teal) / 0.12);--medium-fg:oklch(0.42 0.06 var(--h-teal));--low:oklch(0.62 0.02 250);--low-soft:oklch(0.62 0.02 250 / 0.10);--low-fg:oklch(0.45 0.02 250);--success:oklch(0.50 0.11 var(--h-green));--success-soft:oklch(0.50 0.11 var(--h-green) / 0.10);--ai:oklch(0.52 0.05 295);--ai-soft:oklch(0.92 0.018 295);--ai-fg:oklch(0.42 0.08 295);--shadow-1:0 0 0 1px var(--br-subtle);--shadow-2:0 1px 2px rgba(15,15,17,0.04), 0 0 0 1px var(--br-subtle);color-scheme:light}*{box-sizing:border-box}body,html{margin:0;padding:0}html.theme-switching,html.theme-switching *,html.theme-switching ::after,html.theme-switching ::before{transition:none!important;animation-duration:.001s!important}body{font-family:var(--font-sans);font-size:var(--t-body);line-height:var(--lh-body);color:var(--fg-primary);background:var(--bg-canvas);-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility;font-feature-settings:\"ss01\" on,\"cv11\" on,\"tnum\" off}a,button{color:inherit}button{font:inherit;background:0 0;border:0;padding:0;cursor:pointer}input,textarea{font:inherit;color:inherit}a{text-decoration:none}:focus-visible{outline:2px solid var(--br-focus);outline-offset:2px;border-radius:var(--r-2)}.mono,.num{font-variant-numeric:tabular-nums}.num{font-feature-settings:\"tnum\" on,\"cv11\" on}.mono{font-family:var(--font-mono)}"}],"page":{"pagePath":"en/use-cases/kyc/get-kyc-url","slug":"/en/use-cases/kyc/get-kyc-url","pageMetadata":{"title":"Get KYC Verification URL","description":"Retrieve the verification URL to share with your customer — in the gu1 KYC API for identity verification flows, with examples for get kyc url use cases.","api":"GET /api/kyc/validations/{id}","href":"/en/use-cases/kyc/get-kyc-url"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve the verification URL to share with your customer — in the gu1 KYC API for identity verification flows, with examples for get kyc url use cases.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,Card,CardGroup,CodeBlock,CodeGroup,Heading,ParamField,ResponseField}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!Card)_missingMdxReference(`Card`,true);if(!CardGroup)_missingMdxReference(`CardGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsx(_components.p,{children:`After creating a KYC validation, you can retrieve the verification URL at any time. This URL is what you’ll share with your customer so they can complete the identity verification process.`}),`\n`,_jsx(Heading,{level:`2`,id:`when-to-use-this`,children:`When to Use This`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Retrieve URL later`}),`: If you didn’t store the URL from the creation response`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Resend to customer`}),`: When customer requests a new link`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Check validation details`}),`: View current status and metadata`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Integrate with other systems`}),`: Pass verification URL to notification services`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`request`,children:`Request`}),`\n`,_jsx(Heading,{level:`3`,id:`endpoint`,children:`Endpoint`}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`GET https://api.gu1.ai/api/kyc/validations/{id}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`3`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`The validation ID returned when you created the KYC validation`})}),`\n`,_jsx(Heading,{level:`3`,id:`headers`,children:`Headers`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer YOUR_API_KEY\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(Heading,{level:`3`,id:`success-response-200-ok`,children:`Success Response (200 OK)`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`25`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`25`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"550e8400-e29b-41d4-a716-446655440000\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"entityId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"123e4567-e89b-12d3-a456-426614174000\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"organizationId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"org_abc123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validationSessionId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"session_xyz789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pending\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"provider\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kyc_provider\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"providerSessionUrl\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://verify.example.com/session_xyz789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"decision\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"documentsVerified\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biometricResult\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"riskAssessment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"verifiedFields\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"extractedData\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"warnings\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isCurrent\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"expiresAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"verifiedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"userId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"user_12345\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"mobile_app\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-01-15T10:30:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updatedAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-01-15T10:30:00Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`response-fields`,children:`Response Fields`}),`\n`,_jsx(ResponseField,{name:`providerSessionUrl`,type:`string`,id:`param-provider-session-url`,children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`The verification URL to share with your customer`}),`. This is the main field you need.`]})}),`\n`,_jsxs(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:[_jsx(_components.p,{children:`Current validation status:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`pending`}),` - Waiting for customer to start`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`in_progress`}),` - Customer is completing verification`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`in_review`}),` - Verification completed, requires manual review from compliance team`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`approved`}),` - Verification successful`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`rejected`}),` - Verification failed`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`expired`}),` - Session expired`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`abandoned`}),` - Customer abandoned the process`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`cancelled`}),` - Validation was cancelled`]}),`\n`]})]}),`\n`,_jsxs(ResponseField,{name:`decision`,type:`object`,id:`param-decision`,children:[_jsx(_components.p,{children:`Final decision details (available after completion):`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`document_details`}),` - Information about verified document`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`extracted_information`}),` - Personal data extracted from document`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`verification_results`}),` - Results of various checks`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`warnings`}),` - Any warnings or issues found`]}),`\n`]})]}),`\n`,_jsx(ResponseField,{name:`documentsVerified`,type:`array`,id:`param-documents-verified`,children:_jsx(_components.p,{children:`List of documents that were verified (after completion)`})}),`\n`,_jsx(ResponseField,{name:`biometricResult`,type:`object`,id:`param-biometric-result`,children:_jsx(_components.p,{children:`Results of biometric verification (after completion)`})}),`\n`,_jsx(ResponseField,{name:`riskAssessment`,type:`object`,id:`param-risk-assessment`,children:_jsx(_components.p,{children:`Risk assessment information (after completion)`})}),`\n`,_jsx(ResponseField,{name:`verifiedFields`,type:`array`,id:`param-verified-fields`,children:_jsx(_components.p,{children:`List of fields successfully verified (e.g., [“firstName”, “lastName”, “dateOfBirth”])`})}),`\n`,_jsx(ResponseField,{name:`extractedData`,type:`object`,id:`param-extracted-data`,children:_jsx(_components.p,{children:`Personal data extracted from the document`})}),`\n`,_jsx(ResponseField,{name:`verifiedAt`,type:`string`,id:`param-verified-at`,children:_jsx(_components.p,{children:`Timestamp when verification was completed`})}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example Request`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`19`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`19`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` validationId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '550e8400-e29b-41d4-a716-446655440000'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `https://api.gu1.ai/api/kyc/validations/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`validationId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Bearer YOUR_API_KEY'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` validation`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Extract the URL to share with customer`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` verificationUrl`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` validation`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`providerSessionUrl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Share this URL with your customer:'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`verificationUrl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Check current status`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Current status:'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`validation`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`status`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`19`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`19`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`validation_id `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '550e8400-e29b-41d4-a716-446655440000'`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.gu1.ai/api/kyc/validations/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`validation_id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer YOUR_API_KEY'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`validation `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.json()`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Extract the URL to share with customer`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`verification_url `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` validation[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'providerSessionUrl'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Share this URL with your customer:'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, verification_url)`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Check current status`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Current status:'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, validation[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'status'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`])`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`3`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X GET https://api.gu1.ai/api/kyc/validations/550e8400-e29b-41d4-a716-446655440000 \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` -H \"Authorization: Bearer YOUR_API_KEY\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`alternative-get-current-validation-for-entity`,children:`Alternative: Get Current Validation for Entity`}),`\n`,_jsx(_components.p,{children:`If you don’t have the validation ID but have the entity ID, you can get the current validation:`}),`\n`,_jsx(Heading,{level:`3`,id:`endpoint-2`,children:`Endpoint`}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`GET https://api.gu1.ai/api/kyc/entities/{entityId}/current`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`3`,id:`example`,children:`Example`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`13`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` entityId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '123e4567-e89b-12d3-a456-426614174000'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `https://api.gu1.ai/api/kyc/entities/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`entityId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"/current`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Bearer YOUR_API_KEY'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` validation`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` verificationUrl`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` validation`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`providerSessionUrl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`9`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`9`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`entity_id `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '123e4567-e89b-12d3-a456-426614174000'`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.gu1.ai/api/kyc/entities/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`entity_id`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`/current'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer YOUR_API_KEY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`validation `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.json()`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`verification_url `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` validation[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'providerSessionUrl'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`sharing-the-url-with-customers`,children:`Sharing the URL with Customers`}),`\n`,_jsx(_components.p,{children:`Once you have the verification URL, you can share it with your customer through various channels:`}),`\n`,_jsx(Heading,{level:`3`,id:`email-example`,children:`Email Example`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`html`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`html`,children:_jsxs(_components.code,{language:`html`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`Hi {{customerName}},`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c/`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`Please complete your identity verification to continue:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c/`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>\u003c`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`a`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:` href`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"{{providerSessionUrl}}\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`Verify Your Identity`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c/`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`a`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>\u003c/`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`This link will expire in 7 days.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c/`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`p`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`>`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`sms-example`,children:`SMS Example`}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`Complete your identity verification here: {{providerSessionUrl}}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`3`,id:`in-app-integration`,children:`In-App Integration`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Redirect user to verification`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`window`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`location`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`href`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` providerSessionUrl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Or open in new window`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`window`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`open`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`providerSessionUrl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'_blank'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`// Or embed in iframe`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:`\u003c`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#569CD6`},children:`iframe`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:` src`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`providerSessionUrl`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:` width`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"100%\"`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#9CDCFE`},children:` height`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"600px\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#808080`},children:` />`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`error-responses`,children:`Error Responses`}),`\n`,_jsx(Heading,{level:`3`,id:`validation-not-found-404`,children:`Validation Not Found (404)`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"NOT_FOUND\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"KYC validation not found\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`This can happen if:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The validation ID doesn’t exist`}),`\n`,_jsx(_components.li,{children:`The validation belongs to a different organization`}),`\n`,_jsx(_components.li,{children:`The validation was deleted`}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`best-practices`,children:`Best Practices`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Store the Validation ID`,id:`store-the-validation-id`,children:_jsx(_components.p,{children:`Always store the validation ID in your database linked to your customer record. This allows you to retrieve the validation details later.`})}),_jsx(Accordion,{title:`Don't Expose URLs Publicly`,id:`dont-expose-urls-publicly`,children:_jsx(_components.p,{children:`The verification URL is sensitive and should only be shared with the intended customer. Don’t expose it in public APIs or URLs.`})}),_jsx(Accordion,{title:`Handle Expired Sessions`,id:`handle-expired-sessions`,children:_jsx(_components.p,{children:`Verification URLs typically expire after 7 days. If a customer’s session expires, create a new validation.`})}),_jsx(Accordion,{title:`Monitor Status Changes`,id:`monitor-status-changes`,children:_jsx(_components.p,{children:`Use webhooks to receive real-time notifications when the verification status changes, rather than polling this endpoint.`})})]}),`\n`,_jsx(Heading,{level:`2`,id:`next-steps`,children:`Next Steps`}),`\n`,_jsxs(CardGroup,{cols:2,children:[_jsx(Card,{title:`Webhook Integration`,icon:`webhook`,href:`/en/use-cases/kyc/webhook-integration`,children:_jsx(_components.p,{children:`Receive real-time status updates`})}),_jsx(Card,{title:`Check Verification Status`,icon:`magnifying-glass`,href:`/en/use-cases/kyc/check-status`,children:_jsx(_components.p,{children:`Query validation results`})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get KYC Verification URL","description":"Retrieve the verification URL to share with your customer — in the gu1 KYC API for identity verification flows, with examples for get kyc url use cases.","api":"GET /api/kyc/validations/{id}","href":"/en/use-cases/kyc/get-kyc-url"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[]},{"title":"When to Use This","slug":"when-to-use-this","depth":2,"children":[]},{"title":"Request","slug":"request","depth":2,"children":[{"title":"Endpoint","slug":"endpoint","depth":3,"children":[]},{"title":"Path Parameters","slug":"path-parameters","depth":3,"children":[]},{"title":"Headers","slug":"headers","depth":3,"children":[]}]},{"title":"Response","slug":"response","depth":2,"children":[{"title":"Success Response (200 OK)","slug":"success-response-200-ok","depth":3,"children":[]},{"title":"Response Fields","slug":"response-fields","depth":3,"children":[]}]},{"title":"Example Request","slug":"example-request","depth":2,"children":[]},{"title":"Alternative: Get Current Validation for Entity","slug":"alternative-get-current-validation-for-entity","depth":2,"children":[{"title":"Endpoint","slug":"endpoint-2","depth":3,"children":[]},{"title":"Example","slug":"example","depth":3,"children":[]}]},{"title":"Sharing the URL with Customers","slug":"sharing-the-url-with-customers","depth":2,"children":[{"title":"Email Example","slug":"email-example","depth":3,"children":[]},{"title":"SMS Example","slug":"sms-example","depth":3,"children":[]},{"title":"In-App Integration","slug":"in-app-integration","depth":3,"children":[]}]},{"title":"Error Responses","slug":"error-responses","depth":2,"children":[{"title":"Validation Not Found (404)","slug":"validation-not-found-404","depth":3,"children":[]}]},{"title":"Best Practices","slug":"best-practices","depth":2,"children":[]},{"title":"Next Steps","slug":"next-steps","depth":2,"children":[]}],"codeExamples":{},"endpoint":{"title":"Get KYC Verification URL","path":"/api/kyc/validations/{id}","servers":[{"url":"http://api.gu1.ai"}],"method":"get","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"The validation ID returned when you created the KYC validation","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"providerSessionUrl":[{"type":"string","description":"The verification URL to share with your customer . This is the main field you need."}],"status":[{"type":"string","description":"Current validation status: `pending` - Waiting for customer to start `in_progress` - Customer is completing verification `in_review` - Verification completed, requires manual review from compliance team `approved` - Verification successful `rejected` - Verification failed `expired` - Session expired `abandoned` - Customer abandoned the process `cancelled` - Validation was cancelled"}],"decision":[{"type":"object","properties":{},"description":"Final decision details (available after completion): `document_details` - Information about verified document `extracted_information` - Personal data extracted from document `verification_results` - Results of various checks `warnings` - Any warnings or issues found"}],"documentsVerified":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"List of documents that were verified (after completion)"}],"biometricResult":[{"type":"object","properties":{},"description":"Results of biometric verification (after completion)"}],"riskAssessment":[{"type":"object","properties":{},"description":"Risk assessment information (after completion)"}],"verifiedFields":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"List of fields successfully verified (e.g., [“firstName”, “lastName”, “dateOfBirth”])"}],"extractedData":[{"type":"object","properties":{},"description":"Personal data extracted from the document"}],"verifiedAt":[{"type":"string","description":"Timestamp when verification was completed"}]}}],"examples":{"example":{"value":{"providerSessionUrl":"\u003cstring>","status":"\u003cstring>","decision":{},"documentsVerified":[{}],"biometricResult":{},"riskAssessment":{},"verifiedFields":[{}],"extractedData":{},"verifiedAt":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"geno-f35946c5","siteName":"gu1","title":"Get KYC Verification URL - gu1","navMaps":{"firstHrefInVersion":{"🇺🇸 EN":{"href":"/en/use-cases/kyc/get-kyc-url","matchLevel":0},"🇪🇸 ES":{"href":"/es/use-cases/kyc/get-kyc-url","matchLevel":1},"🇧🇷 PT":{"href":"/pt/use-cases/kyc/get-kyc-url","matchLevel":1}},"firstHrefInLanguage":{}},"lastModified":"2026-08-05T17:59:44.734Z","originalFileLocation":"en/use-cases/kyc/get-kyc-url.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve the verification URL to share with your customer — in the gu1 KYC API for identity verification flows, with examples for get kyc url use cases.\">\u003cmeta data-mint-head name=\"application-name\" content=\"gu1\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/geno-f35946c5/72Ha_ftD-G4ZiDGf/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get KYC Verification URL - gu1\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve the verification URL to share with your customer — in the gu1 KYC API for identity verification flows, with examples for get kyc url use cases.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"gu1\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gu1.ai/en/use-cases/kyc/get-kyc-url\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://geno-f35946c5.mintlify.app/_mintlify/api/og/v2?division=Session-based+validation\u0026amp;title=Get+KYC+Verification+URL\u0026amp;description=Retrieve+the+verification+URL+to+share+with+your+customer+%E2%80%94+in+the+gu1+KYC+API+for+identity+verification+flows%2C+with+examples+for+get+kyc+url+use+cases.\u0026amp;theme=019d528ab7f0e9ad1ddd5fb8\u0026amp;signature=1745c06c0cf06c4880934d5d918fe757770563f8b31632601b859ce4b59eda2c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get KYC Verification URL - gu1\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve the verification URL to share with your customer — in the gu1 KYC API for identity verification flows, with examples for get kyc url use cases.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://geno-f35946c5.mintlify.app/_mintlify/api/og/v2?division=Session-based+validation\u0026amp;title=Get+KYC+Verification+URL\u0026amp;description=Retrieve+the+verification+URL+to+share+with+your+customer+%E2%80%94+in+the+gu1+KYC+API+for+identity+verification+flows%2C+with+examples+for+get+kyc+url+use+cases.\u0026amp;theme=019d528ab7f0e9ad1ddd5fb8\u0026amp;signatu
[...]
